# vim: set ts=4 sw=4 et:

Name:           btnx-config
Version:        0.4.9
Release:        3.4
Summary:        GUI Configuration Tool for btnx
Source:         btnx-config-%{version}.tar.gz
Patch1:         btnx-config-desktop.patch
Patch2:         btnx-config.udev.patch
#URL:            http://www.ollisalonen.com/btnx/
URL:		https://github.com/cdobrich/btnx-config
Group:          Hardware/Other
License:        GPL-2.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gtk2-devel libglade2-devel
BuildRequires:  scrollkeeper yelp
BuildRequires:  gcc make glibc-devel
BuildRequires:  autoconf automake libtool update-desktop-files pkgconfig
Requires:       btnx

%description
btnx-config is a GUI configuration tool for btnx. btnx requires btnx-config to
work, because btnx-config also detects your mouse and its buttons. This
combination should work for just about any mouse.

%prep
%setup -q
%patch1
%patch2 -p1

%build
export SUSE_ASNEEDED=0
autoreconf -fiv

export builddocs=yes
export init_scripts_path=/etc/init.d
export udev_rules_path=/etc/udev/rules.d
%configure
sed -i 's|-Wl,|-Wl,--export-dynamic|' src/Makefile
sed -i 's|-Wl -export-dynamic|-Wl,--export-dynamic|' src/Makefile
%__make %{?_smp_flags}

%install
%makeinstall
%suse_update_desktop_file -r "%{name}" System HardwareSettings

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%{_sbindir}/btnx-config
%dir %{_datadir}/btnx-config
%{_datadir}/btnx-config/btnx-config.glade
%doc %{_datadir}/btnx-config/doc
%dir %{_datadir}/omf
%{_datadir}/omf/btnx-config
%{_datadir}/applications/btnx-config.desktop
%{_datadir}/pixmaps/btnx.png

%changelog
* Sat Feb  7 2015 ecsos@opensuse.org
- fix deprecated udev rules
* Sun Feb  1 2015 ecsos@opensuse.org
- fix build failures in obs
  - change -Wl and -Wl -export-dynamic to -Wl,--export-dynamic
- change URL to new address
- remove intl/ChangeLog and intl/VERSION
- drop suse 1020 if clauses
* Sun Aug 10 2008 guru@unixtech.be
- new upstream version
* Thu Apr 17 2008 guru@unixtech.be
- new package
